aboutsummaryrefslogtreecommitdiff
path: root/xfce/xfce4_volstatus
diff options
context:
space:
mode:
Diffstat (limited to 'xfce/xfce4_volstatus')
-rwxr-xr-xxfce/xfce4_volstatus/xfce4_volstatus.SlackBuild84
1 files changed, 84 insertions, 0 deletions
diff --git a/xfce/xfce4_volstatus/xfce4_volstatus.SlackBuild b/xfce/xfce4_volstatus/xfce4_volstatus.SlackBuild
new file mode 100755
index 0000000..5d31cb3
--- /dev/null
+++ b/xfce/xfce4_volstatus/xfce4_volstatus.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=xfce4_volstatus
+VERSION=0.1.0
+ARCH=i586
+BUILD=1
+PKGNAME=xfce4-volstatus-icon
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://goodies.xfce.org/releases/${PKGNAME}
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-debug=no \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/libexec
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4_volstatus: xfce4_volstatus (Xfce volume status plugin)
+xfce4_volstatus:
+xfce4_volstatus: View and unmount removable devices from the system tray.
+xfce4_volstatus:
+xfce4_volstatus: Homepage: http://goodies.xfce.org
+xfce4_volstatus:
+xfce4_volstatus:
+xfce4_volstatus:
+xfce4_volstatus:
+xfce4_volstatus:
+xfce4_volstatus:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+xfce4_panel >= 4.6.0-i486-1
+EOF
+
+install -m644 -g0 -o0 AUTHORS ChangeLog README TODO \
+ $PKG/usr/doc/$NAME-$VERSION
+
+strip \
+ $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz